/* cadangan #00c0ef */

/* width */
::-webkit-scrollbar {
    width: 5px;
  }
  
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #f1f1f1;
  }
  
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #888;
  }

  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555;
  }

  ::-webkit-scrollbar:hover {
    width: 4px;
  }

html body{
    margin: 0;
    padding: 0;
    background-color: whitesmoke;
}

ul{
    padding: 0;
    margin: 0;
    list-style: none;

}

iframe.lihat-pdf{
    height: 100%;
    width: 100%;
}

h4,h5{
    color: #505050;
}

p{
    padding: 0;
}



/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

@font-face {
    font-family: fredoka;
    src: url('../../assets/fonts/FredokaOne.ttf');
}

@font-face {
    font-family: montserrat;
    src: url('../../assets/fonts/Montserrat-Medium.ttf');
}

@font-face {
    font-family: poppins;
    src: url('../../assets/fonts/Poppins-Medium.ttf');
}
@font-face {
    font-family: pridi;
    src: url('../../assets/fonts/Pridi-Medium.ttf');
}


/* Style login */

.login-wrapper{
    height: 100vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-header{
    color : #F05454;
}

.login-form {
    width: 340px;
  	font-size: 15px;
}
.login-form form {
    margin-bottom: 15px;
    background: #f7f7f7;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
    padding: 15px 30px 30px 30px;
    /* border-top: 5px solid #F05454; */
}
.login-form h2 {
    margin: 0 0 15px;
}
.form-control .btn {
    min-height: 38px;
    border-radius: 2px;
}
.login-form .btn {        
    font-size: 15px;
    font-weight: bold;
    background: #F05454;
    color: white;
}
/* Header */
.header{
    margin: 0;
    color: #505050;
    padding: 20px 0;
}

.jumbotron{
    background-image: url('../../assets/images/logo_bg1.jpg');
    /* filter: blur(5px); */
    background-size: cover;
    background-position: center;
    justify-content: center;
    height: 80vh;
    display: flex;
    align-items:flex-end;
    width: 100%;
    border-radius: 0!important;
    /* margin-top: -60.5px; */
    color: white;

}


.jumbo-wrapper{
    z-index: 1;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 30px;
    border-radius: 10px;
}



.login-btn{
    
}

.login-btn button{
    background:#F05454;
    border-radius: 30px;
    font-size: 1rem;
    color: white;
    padding: 2px 10px;
    font-weight: 500;
}

.login-btn button:hover{
    background:#cc3d3d;
}



.jumbotron h1{
    font-family: montserrat;
    /* margin-top: 60px; */
}

.container-form{
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 150px;
}

.artikel-wrapper{
    width: 100%;
    position: relative;
    display: flex;
    margin-top: 50px;
    flex-wrap: wrap;
    justify-content: space-between;
}

.artikel-konten{
    margin: 20px 10px 0 10px;
    display: flex;
    background-color: white;
    justify-content: space-between;
}

.artikel-header{
}

.artikel-body{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.artikel-body .artikel-title{
    color: #EC4646 ;
    font-weight: bold;
}

.artikel-body p{
    margin: 0;;
}



.content .navbar{
    background: #F05454;
    z-index: 5;
    position: fixed;
    width: 100%;
}

.wrapper{
    display: flex;
    height: auto;
    text-decoration: none;

}

.scroll-off{
    overflow: hidden;
}


.sidebar>.components>span{
    font-size: 13px;
    padding: 20px 0;
    text-transform: uppercase;
}

.sidebar{
    width: 290px;
    border-right: 1px solid rgb(192, 192, 192);
    /* height: inherit; */
    height: calc(100vh - 50px);
    transition: all 0.3%;
    /* padding-top: 500px; */
    padding: 0px 20px;
    transition: all 0.5s;
    padding-bottom: 50px;
    z-index: 3;
    top: 50px;
    overflow-y: scroll;
    position: fixed;

}

.sidebar .active{
    border-left: 3px solid #F05454;
    margin: 0 -20px;
    padding: 0 20px;
    background-color: #fdf3f1;
}

.sidebar .active>a{
    color: #F05454;
}

.sidebar>ul>li:hover,.sidebar>ul>li:focus{
    background-color: #fdf3f1;
    margin: 0 -20px;
    padding: 0 20px;
}

.sidebar>ul>span{
    /* padding:20px 0; */
    display: flex;
    align-items: center;
    height: 30px;
}


.sidebar>ul>li a{
    padding: 10px 0;
    /* background-color: lightblue; */
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-weight: 500;
    color: #505050;
}

a:hover,a:focus{
    text-decoration: none;
    /* background-color: #f5f5f5; */

}

.sidebar ul li ul li a{
    color: #777777;
    font-weight:normal;
}

.sidebar>ul>li>ul>li>a:hover{
    color: #F05454;;

}

.sidebar ul li a>i{
    /* transform-origin: 100%; */
    transform: translateX(100%);
    transition:0.3s;
}

.sidebar ul li a>i.ex{
    transform: rotate(-90deg) translate(0px, 9px);
}

.sidebar-header{
    padding: 25px 0 10px 0;
    text-align: center;
}


.hide{
    margin-left: -290px;
}

/* a[aria-expanded="true"]{
    border-bottom: 2px solid #F05454;
} */

.content{
    width: 100%;
    position: relative;
    min-height: 100vh;
}

.content-wrap{
    padding: 0px 15px;
    margin: 0;
    position: relative;
    top: 50px;
    width: 100%;

}

.container-fluid{
    background:none;
    margin-left: -10px;
}

.container-fluid button{
    color: white;
}

.container-fluid button:focus{
    outline: none;
    box-shadow: none;
}

.container-fluid button:hover{
    color: #900D0D;
}

.content-info{
    /* color: #505050; */
    color: white;
    background: #00c0ef;
    padding: 13px;
    font-size: 15px;
    display: flex;
    flex-direction: column;
    margin: 0 0 30px 0;
    border-radius: 3px;
    border-left: 5px solid #17a2b8;
}

.content-info-danger{
    border-left: 5px solid #b81717;
    color: white;
    background: #dc3545;
    padding: 13px;
    font-size: 15px;
    display: flex;
    flex-direction: column;
    margin: 0 0 30px 0;
    border-radius: 3px;
}

.info-header{
    padding: 5px 0;
    font-size: 17px;
    font-weight: bold;
}

/* Tabel default */
.no-tabel{
    width: 5%;
}

.judul-tabel{
    width: 45%;
}

.file-tabel{
    width: 25%;
}

.aksi-tabel{
    width: 25%;
}

/* tombol aksi */

.btn-aksi{
    /* width: 70px; */
    margin: 2px;
}

.btn-warning{
    color: white;
    background: orange;
}

.btn-warning:hover, .btn-warning:visited, .btn-warning:active{
    color: white!important;
    background: rgb(216, 141, 1);
}

.table tr>td{
    overflow-wrap: anywhere;
}

/* sk tabel properti */
.sk-table .judul-tabel{
    width: 30%;
}

.sk-table .nama-tabel{
    width: 20%;
}

.sk-table .aksi-tabel{
    width: 25%;
}

.sk-table .file-tabel{
    width: 20%;
    
}

/* td{
    overflow-wrap: break-word;
    word-wrap: break-word;
} */


/* sertifikat tabel properti  */
.sertifikat-table .judul-tabel{
    width: 25%;
}

.sertifikat-table .judul-sertifikat{
    width: 20%;
}

.sertifikat-table .aksi-tabel{
    width: 25%;
}


/* Properti table menu tugas mentor */


/* Properti table user instruktur */

.no-tabel{
    width: 5%;
}

.user-table .judul-tabel{
    width: 30%;
}

.user-table .file-tabel{
    width: 25%;
}

.user-table .aksi-tabel{
    width: 40%;
}


/* properti tabel informasi balance */
.info-table .judul-tabel{
    width: 20%;
}

.info-table .file-tabel{
    width: 10%;
}

.info-table .desk-tabel{
    width: 40%;
}

.info-table .aksi-tabel{
    width: 20%;
}


/* properti table materi instruktur */
.no-tabel{
    width: 5%;
}

.materi-table .judul-tabel{
    width: 30%;
}

.user-table .file-tabel{
    width: 25%;
}

.user-table .aksi-tabel{
    width: 40%;
}


/* aksi footer */
.aksi-footer{
   
}

.aksi-footer>a>button{
    width: 70px;
    margin: 2px;
}

.aksi-footer-profil>a>button{
    /* margin: 2px; */
}

/* judul materi */
.judul-materi{
    width: 100%;
    /* background: crimson; */
    padding: 15px 0;
    border-bottom: 1px solid #eeeeee;
    text-align: center;
}

/* isi materi */
.isi-materi{
    margin: 20px auto;
    width: 80%;
    padding: 0 0 20px 0 ;
    text-align: justify;
    border-bottom: 1px solid #eeeeee;
    /* background: red; */
}

.isi-materi>.file-materi{
    border-bottom: 1px solid #eeeeee;
    font-size: 20px;
    margin: 20px 0;
    /* display:inline; */
    padding-bottom: 20px;
}

.isi-materi>.text-materi{
    color: #505050;
}

.jurusan-wrap{
    display: flex;
    flex-wrap: wrap;
    width: inherit;
    justify-content: space-between;
    margin-top: 20px;
    margin-bottom: 50px;
}

.info-jurusan{
    background-color: white;
    width: 31%;
    min-width: 300px;
    height: 90px;
    border-radius: 3px;
    /* max-width: 300px; */
    display: flex;
    margin-top: 15px;
}

.info-jurusan a{
    display: flex;
    color: #505050;
}

.info-jurusan a:hover{
    color: #F05454;
}

.info-jurusan-content{
    padding: 10px;
}

.box-icon{
    height: 90px;
    width: 90px;
    background: #F05454;
    border-radius: 3px 0px 0px 3px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.box-icon i{
    color: white;
}

.box-materi{
    background: white;
    border-top: 3px solid #F05454;
    border-radius: 3px;
    border-bottom: 1px solid #cecece;
}

.user-card{
    /* width: 60%; */
    background: white;
    border-top: 3px solid #F05454;
    border-radius: 3px;
    margin: auto;
    border-bottom: 1px solid #cecece;
}

.materi-header{
    padding: 10px 0;
    border-bottom: 1px solid #cecece;
    display: flex;
    justify-content: space-between;
    align-items: center;
    

}

.materi-headertxt{
    color: #505050;
    font-size: 17px;
    font-weight: bold;
    margin-left: 15px;
}

.materi-header>a{
    margin-right: 15px;
}

.materi-body{
    padding: 15px 15px;
}



.file-materi{
    list-style: none;
}

.materi-footer{
    display: flex;
    justify-content: flex-end;
    padding-top: 15px;
    border-top: 1px solid #cecece;
}


.materi-body form.input-jurusan{
    display: flex;
    justify-content: center;
    height: 90px;
}

.pilih-jurusan{
    /* align-self: center; */
    /* background: coral; */
    width: 50%;
    height: inherit;
    justify-content: space-between;
    display: flex;
    align-items: flex-end;
    flex-direction: column;

}

.pilih-jurusan select{
    padding:0px 10px ;
}

select,option:focus,button:focus{
    box-shadow: none!important;
    outline: none;
}

/* jarak atas footer */

.footer-barrier{
    width: 100%;
    height: 150px;
}

footer{
    border-top: 1px solid #cecece;
    width: 100%;
    padding: 20px;
    color: #505050;
    text-align: center;
    font-family: poppins;
    background: white;
    position:absolute;
    bottom: 0;
}






input:focus{
    box-shadow: none!important;
    outline: none!important;
}

/* form input materi */
#input-materi{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: auto;
}

#input-materi>div{
    display: flex;
    justify-content: space-between;
}

#input-materi>div>div{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 80%;
}

#input-materi>div>div.img-preview{
    height: 250px;
}

#input-materi>div>div.file-preview{
    height: 80px;
    align-items: flex-start;
}

#input-materi>div>div.file-preview>a{
    color: white;
    padding: 5px;
    font-size: 0.875rem;
}

#input-materi>div>div>img{
    width: 200px;
}

#input-materi label{
    margin-top: 4px;
}

#input-materi input, #input-materi select{
    padding: 3px 12px;
}

#input-materi>div>div>input[type=file]{
    width: 100%;
}

.profil{
    height: 32px;
    display: flex;
    padding: 20px 0;
    align-items: center;
}

.profil>i{
    color: #F05454;
}

.profil>img{
    width: 50px;
}

.profil>span{
    margin-left: 10px;
}


/* dashboard data user */

.data-wrapper{
    justify-content: space-between;
    flex-wrap: wrap;
    width: 100%;
}

.data-user{
    width: calc(50% - 20px);
    height: 400px;
    background-color: white;
    border: 1px solid #F05454;
}

/* .data-user-single{
    width: 45%;
    height: 400px;
    border: 1px solid #F05454;
} */

.data-header{
    width: 100%;
    height: 50px;
    display: flex;
    background: #F05454;
    color: white;
}

.data-header span{
    align-self: center;
    font-size: 17px;
    font-weight: bold;
    margin-left: 15px;
}

.data-body{
    width: 100%;
    height: 310px;
    padding: 0px 15px 15px 15px;
    text-align: center;

}

.data-body div{
    padding: 10px;
}

form.display-aksi{
    display: inline;
}

.materi-wrap{
    
    display: flex;
    flex-direction: column;
    align-items: center;
}

.materi-card, .file-card{
    width: calc(100% - 20px);
    border-bottom: 1px solid #cecece;
    margin-bottom: 20px;
}

.materi-card-header, .file-card-header{
    padding : 5px 0;
    font-weight: bold;
}


.materi-card-body, .file-card-body{
    margin: 0px 15px 5px 15px;
    padding-bottom: 10px;
    /* font-size: 18px; */
    /* font-weight: bold; */
    font-size: 1rem;

    padding-left: 10px;
}

.deskripsi-tugas{
    padding-bottom: 10px;
}

.materi-card-body i.fas{
    margin-right: 10px;
    height: 100%;
}


.file-card-footer{
    padding-left: 10px;
    margin: 15px 15px 10px 15px;
    
}

.shadow{
    transition: all 0.5s;
}

.shadow-on{
    background-color: rgba(0, 0, 0, 0.3);
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 1;

}

/* mengatur lebar icon disidebar */
.components div i{
    width: 20px;
}

/* set margin left sub sidebar */

.components>li>ul>li{
    margin-left: 28px;
}

.fa-angle-left{
    color: #505050;
}

.sidebar-header>h3{
    color: #EC4646;
    font-family: pridi;
    

}

.login-eror{
    position: absolute;
    top: 10px;
    width: 50%;
    left: 25%;
    text-align: center;
}

.sidebar-header>img{
    width: 120px;
}

#userInstrukturPage>li>a:focus{
    background-color: #007bff;
    color: white;
    outline: none;
    box-shadow: none;
}

#keywordInstruktur{
    border: 1px solid #007bff;
}

@media (min-width: 350px) {

    .dsb-wrapper{
        display: flex;
        justify-content: center;
    }

    .dsb-1{
        background: #FFA372;
    }
    .dsb-2{
        background: #f5c03a;
    }
    .dsb-3{
        background: #ED6663;
    }
    .dsb-4{
        background: #4E89AE;
    }
    .dsb-5{
        background: #43658B;
    }
    .dsb-6{
        background: #214252;
    }

    .dsb-7{
        background: #EE6F57;

    }
    .dsb-8{
        background: #EE4266;

    }
    .dsb-9{
        background: #00AD7C;

    }
    .dsb-10{
        background: #8559A5;

    }



    .dsb-wrap{
        background-color: white;
        padding: 5px;
        box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.1);
        width: 100%;
        margin-bottom: 20px;
        border-radius: 2px;
    }

    .dsb-card{
        width: 100%;
        display: flex;
        height: auto;
        color: white;
        border-radius: 3px;
        /* background-color: blueviolet; */
        align-items: center;
        margin-bottom: 7px;
        margin-top: 7px;
        padding-left: 20px;
    }

    .dsb-card-icon{
        height: 100%;
        width: 50px;
        display: flex;
        justify-content: center;
        align-items: center;
    }



    .dsb-header{
        font-family: poppins;
        padding: 15px 10px;
        /* font-weight: 550; */
        font-size: 20px;
        color: #505050;
        border-bottom: 1px solid #f1f1f1;
    }

    .dsb-header>i{
        width: 25px;
    }

    .dsb-card-body{
        font-family: poppins;
        font-size: 16px;
        padding: 10px;
    }

    .dsb-card-body .dsb-jumlah{
        font-size: 1.5rem;
    }

    #input-materi{
        width: calc(100% - 10px);
    }

    footer{
        font-size: 0.8rem;
    }


    @media (max-width:640px){

        .artikel-konten{
            flex-direction: column;
        }

        body>.navbar>.navbar-brand{
            font-size: 0.9rem;
        }

        .show-search{
            margin-bottom: 5px;
        }

        .show-search input{
            height: 25px;
        }

        .dsb-wrap{
            margin-bottom: 20px;
        }
    
        .dsb-card{
            margin-bottom: 7px;
            margin-top: 7px;
            height: 50px;
            padding-left: 10px;
        }
    
        .dsb-card-icon{
            height: 100%;
            width: 30px;
            display: flex;
        }
    
    
    
        .dsb-header{
            font-family: poppins;
            padding: 15px 10px;
            font-size: 20px;
        }
    
        .dsb-header>i{
            width: 25px;
        }
    
        .dsb-card-body{
            font-family: poppins;
            font-size: 0.9rem;
            padding: 10px;
        }
    
        .dsb-card-body .dsb-jumlah{
            font-size: 1rem;
        }

        #input-materi input, #input-materi select{
            width: calc(70% - 10px);
            height: 30px;
            font-size: 0.8rem;
        }

        #input-materi img{
            width: 100px;
        }

        .materi-footer ul li a{
            font-size: 0.6rem!important;
        }

    
        .box-materi, #input-materi label, #input-materi textarea{
            font-size: 0.8rem;
        }

        .box-materi button.btn-aksi, .materi-footer button{
            padding: 2px 5px;
            font-size: 0.6rem;
            
        }

        .materi-header button, #input-materi button{
            padding: 5px;
            font-size: 0.6rem;
        }

        .materi-headertxt, .components, .sidebar>.profil{
            font-size: 1rem;
        }

        .content-info, .content-info-danger{
            font-size: 0.8rem;
        }

        .info-header{
            font-size: 1rem;
        }

        .materi-card-header h5, .file-card-header h5{
            font-size: 0.9rem;
            padding : 0px 0;
            margin: 0px 0;
            margin-bottom: 5px;
        }
        
        .materi-card-body, .file-card-body{
            margin: 0px 15px 5px 15px;
            font-size: 0.8rem;
            padding-bottom: 0px;
        }

        

        .materi-card{
            height: auto;
            margin-bottom: 5px;
        }

        .file-card{
            margin-bottom: 5px;
        }

        .file-card-footer{
            padding-left: 10px;
            margin: 5px 0px 5px 15px;
            
        }

        .content-wrap>h4, .sidebar-header>h3{
            font-size: 1.2rem;
        }

        .materi-body{
            font-size: 0.8rem;
        }

        .login-eror{
            width: 70%;
            left: 15%;
            text-align: center;
        }

        .sidebar-header>img{
            width: 100px;
        }



        .data-wrapper{
            flex-direction: column;
        }
        
        .data-user{
            width: 100%;
            height: 300px;
            margin-bottom: 30px;
        }

        .data-header{
            width: 100%;
            height: 50px;
        }
        
        .data-body{
            width: 100%;
            height: calc(100% - 50px);
            padding-bottom: 10%;
        
        }
        
        .data-body div{
            padding: 10px;
        }

        .artikel-wrapper{
            margin-top: 15px;
        }

        .artikel-header{
            width: 100%;
            background-color: #900D0D;
            border-right: 2px solid #ececec;
            /* padding: 0px 15px 0 0; */
        }

        

        

        
    }

    .jumbo-wrapper h1{
        font-size: 1.5rem;
    }

    .jumbotron{
        height: 30vh;
    }
    
    .jumbo-wrapper>p{
        font-size: 0.9rem;
    }

    .artikel-konten{
        width: 100%;

    }

    .artikel-header{
        width: 35%;
        margin-bottom: 10px;
        
    }

    .artikel-header img{
        width: 100%;
    }

    .artikel-body{
        width: 100%;
        font-size: 0.85rem;
        /* background-color: #b81717; */
        text-align: justify;

    }

    .artikel-body .artikel-title{
        font-size: 1rem;
        padding: 0 0 5px 0;
        
    }

    .tanggal{
        font-size: 0.8rem;
        color:grey ;
        padding: 5px 0;
    }

    
}

@media (min-width:640px){

    .jumbotron{
        height: 60vh;
    }

    .materi-card{
        min-height: 100px;
    }

   .dsb-card-wrap{
       display: flex;
       flex-wrap: wrap;
       justify-content: space-between;
   }

   .dsb-card{
        width: calc(50% - 10px);
   }

   #input-materi{
    width: calc(80% + 50px);
    }

    #input-materi input, #input-materi select{
        width: 70%;
        height: 35px;
    }

    footer{
        font-size: 1rem;
    }

    .login-eror{
        width: 60%;
        left: 20%;
        text-align: center;
    }

    .jumbo-wrapper h1{
        font-size: 2.5rem;
    }
    
    .jumbo-wrapper>p{
        font-size: 1.2rem;
    }

    .artikel-konten{
        width: 100%;

    }

    .artikel-header{
        width: 20%;
        border-right: 2px solid #ececec;
        padding: 0px 15px 0 0;
        margin-bottom: 0px;
    }

    .artikel-body{
        width: 80%;
        margin-left: 10px;
        font-size: 0.9rem;

    }

    .artikel-body .artikel-title{
        font-size: 1.3rem;
        padding: 0 0 10px 0;
        
    }

}

@media (min-width:994px){
    .jumbotron{
        height: 80vh;
    }
    
    .dsb-card{
        width: calc(33% - 9.1px);
    }

    #input-materi{
        width: 60%;
    }

    #input-materi input, #input-materi select{
        width: 80%;
    }

    .container-fluid{
        margin-left: -25px;
    }


    .jumbo-wrapper h1{
        font-size: 3rem;
    }
    
    .jumbo-wrapper>p{
        font-size: 1.4rem;
    }

    .artikel-konten{
        width: calc(50% - 20px);

    }

    .artikel-header{
        width: 30%;
        padding: 0px 15px 0 0;
    }

    .artikel-body{
        width: 70%;
        font-size: 0.95rem;

    }

    .artikel-body .artikel-title{
        font-size: 1.5rem;
        padding: 0 0 15px 0;
        
    }
}


